Products
Get a product
Get product details with all scoring results. Scoped to the authenticated user’s account.
GET
/
api
/
products
/
{id}
Get a product
curl --request GET \
--url https://app.dacard.ai/api/products/{id} \
--cookie __session=import requests
url = "https://app.dacard.ai/api/products/{id}"
headers = {"cookie": "__session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: '__session='}};
fetch('https://app.dacard.ai/api/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"totalScore": 81,
"stageName": "Foundation",
"dimensions": [
{
"dimensionId": "market_intelligence",
"dimensionName": "Market Intelligence",
"score": 2,
"stageName": "<string>",
"evidence": "<string>",
"confidence": "high",
"reasoning": "<string>"
}
],
"strengths": [
"<string>"
],
"gaps": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"crawledPages": [
"<string>"
],
"crossDimensionNotes": "<string>",
"antiPatternsDetected": [
"<string>"
],
"crawlStats": {
"pagesAnalyzed": 123,
"contentLength": 123
},
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "Authentication required",
"code": "AUTH_REQUIRED"
}{
"error": "<string>",
"code": "AUTH_REQUIRED",
"message": "<string>",
"details": "<unknown>"
}Authorizations
clerkAuthbearerAuth
Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.
Path Parameters
Product UUID
Was this page helpful?
⌘I
Get a product
